/************************************************************************
*
* Device     : RX/RX200/RX210
*
* File Name  : hwsetup.c
*
* Abstract   : Hardware Setup file.
*
* History    : 1.00  (2010-12-17)  [Hardware Manual Revision : 0.10]
*
* NOTE       : THIS IS A TYPICAL EXAMPLE.
*
* Copyright (C) 2010 Renesas Electronics Corporation.
* and Renesas Solutions Corp.
*
************************************************************************/

#include "iodefine.h"
#include "R_PG_RSPI_RX210.h"
extern void HardwareSetup(void);

/*******************************************************************************
* Function Name: HardwareSetup
* Description  : Set up Hardware
* Arguments    : none
* Return Value : none
*******************************************************************************/
void HardwareSetup(void)
{
    R_PG_IO_PORT_SetPortNotAvailable;
    R_PG_Clock_Set();                   /* Setting Clock */
    R_PG_IO_PORT_Set_PA();              /* Setting PA */
    R_PG_IO_PORT_Set_PC();              /* Setting PC */
    R_PG_IO_PORT_Set_PH();              /* Setting PH2 */
    R_PG_IO_PORT_Write_PH2(0);          /* Turn off D3 */
    R_PG_RSPI_Set_C0();                 /* Setting RSPI0 */
    R_PG_RSPI_SetCommand_C0();          /* Setting command */
    R_PG_SCI_Set_C5();                  /* Setting SCI5 */
}

